Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Private Member Functions | List of all members
eZ\Publish\Core\FieldType\Image\PathGenerator\LegacyPathGenerator Class Reference
Inheritance diagram for eZ\Publish\Core\FieldType\Image\PathGenerator\LegacyPathGenerator:

## Public Member Functions
| getStoragePathForField ($fieldId, $versionNo, $languageCode)
| Generates the storage path for the field identified by parameters. More...

## Private Member Functions
| getDirectoryStructure ($id)
| Computes a 4 levels directory structure from $id. More...

## Detailed Description

Definition at line 11 of file Image/PathGenerator/LegacyPathGenerator.php.

## Member Function Documentation

## ◆ getDirectoryStructure()

eZ\Publish\Core\FieldType\Image\PathGenerator\LegacyPathGenerator::getDirectoryStructure | ( |  | $id | ) |
| private

Computes a 4 levels directory structure from $id.

Parameters

  string | $id |

Returns
  string

Definition at line 42 of file Image/PathGenerator/LegacyPathGenerator.php.

Referenced by eZ\Publish\Core\FieldType\Image\PathGenerator\LegacyPathGenerator\getStoragePathForField().

## ◆ getStoragePathForField()

eZ\Publish\Core\FieldType\Image\PathGenerator\LegacyPathGenerator::getStoragePathForField | ( |  | $fieldId,
|  |  | $versionNo,
|  |  | $languageCode
| ) |  |

Generates the storage path for the field identified by parameters.

Returns a relative storage path.

Parameters

  mixed | $fieldId |
  int | $versionNo |
  string | $languageCode |

Returns
  string

Reimplemented from eZ\Publish\Core\FieldType\Image\PathGenerator.

Definition at line 24 of file Image/PathGenerator/LegacyPathGenerator.php.

References eZ\Publish\Core\FieldType\Image\PathGenerator\LegacyPathGenerator\getDirectoryStructure().

The documentation for this class was generated from the following file:

- Image/PathGenerator/LegacyPathGenerator.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.